public class Fibonacci {

  public int GetSeqNumber(int fibIndex){

    if (fibIndex < 2)
      return fibIndex;

    int[] FibArray = {0,1};

    for (int i = 1; i< fibIndex; i++){
      FibArray[1] = FibArray[0] + FibArray[1];
      FibArray[0] = FibArray[1] - FibArray[0];
    }

    return FibArray[1];
  }
}




